{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "cyn_hao:sparkle_white",
			"basic_render_parameters": {
				"material": "particles_alpha",
				"texture": "textures/cynosia/horses/particle/sparkle"
			}
		},
		"components": {
			"minecraft:emitter_rate_steady": {
				"spawn_rate": 6,
				"max_particles": 100
			},
			"minecraft:emitter_lifetime_looping": {
				"active_time": 1
			},
			"minecraft:emitter_shape_box": {
				"half_dimensions": [2, 0, 1],
				"direction": [0, -0.1, 0]
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": 3
			},
			"minecraft:particle_initial_speed": 0,
			"minecraft:particle_motion_dynamic": {
				"linear_acceleration": [0, -0.3, 0]
			},
			"minecraft:particle_appearance_billboard": {
				"size": [0.2, 0.2],
				"facing_camera_mode": "rotate_xyz",
				"uv": {
					"texture_width": 16,
					"texture_height": 128,
					"flipbook": {
						"base_UV": ["Math.floor(v.particle_random_3 * 2) * 8", "Math.floor(v.particle_random_4 * 2) * 8"],
						"size_UV": [8, 8],
						"step_UV": [0, 16],
						"frames_per_second": 12,
						"max_frame": 8,
						"stretch_to_lifetime": true
					}
				}
			},
			"minecraft:particle_appearance_tinting": {
				"color": {
					"interpolant": "v.particle_age / v.particle_lifetime",
					"gradient": {
						"0.0": "#FFFFFFFF",
						"0.55": "#FFB0CDFF",
						"1.0": "#FFFFFFFF"
					}
				}
			}
		}
	}
}